### Hierarchy

- SyncLayertreeMap

## Index

### Properties

- layerHelper_
- ngeoWMSTime_
- ogcServersObject_

### Methods

- createGroup_
- createLayer
- createLayerFromGroup_
- createLeafInAMixedGroup_
- createWMTSLayer_
- getFirstLevelGroupCtrl_
- getTimeParam_
- initGmfLayerInANotMixedGroup_
- isOneParentNotMixed_
- sync_
- updateLayerReferences_
- updateLayerState_

## Properties

### layerHelper_

layerHelper_: LayerHelper

- Defined in src/layertree/SyncLayertreeMap.js:52

### ngeoWMSTime_

ngeoWMSTime_: WMSTime

- Defined in src/layertree/SyncLayertreeMap.js:57

### ogcServersObject_

ogcServersObject_: any

- Defined in src/layertree/SyncLayertreeMap.js:62

## Methods

### createGroup_

- createGroup_(treeCtrl: LayertreeController, map: Map, dataLayerGroup: LayerGroup, opt_position: number): LayerGroup | ImageLayer<ImageSource>

- - Defined in src/layertree/SyncLayertreeMap.js:202

  Create insert and return a layer group (for not mixed case) or a wmsLayer (for mixed case). Take care about the insertion order in the map in case of first level group.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  - ##### map: Map

    A map that contains the group to insert the not first level group layer.

  - ##### dataLayerGroup: LayerGroup

    the layer group to insert the first level group layer.

  - ##### opt_position: number

  #### Returns LayerGroup | ImageLayer<ImageSource>

  a new layer.

### createLayer

- createLayer(treeCtrl: LayertreeController, map: Map, dataLayerGroup: LayerGroup, opt_position: number): BaseLayer | LayerGroup

- - Defined in src/layertree/SyncLayertreeMap.js:87

  Create, insert (or update) and return a layer from the GmfGroup or the GmfLayer of the given treeCtrl.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  - ##### map: Map

    A map that contains the group to insert the not first level group layer.

  - ##### dataLayerGroup: LayerGroup

    the layer group to insert the first level group layer.

  - ##### opt_position: number

  #### Returns BaseLayer | LayerGroup

  a new layer.

### createLayerFromGroup_

- createLayerFromGroup_(treeCtrl: LayertreeController, mixed: boolean): LayerGroup | ImageLayer<ImageSource>

- - Defined in src/layertree/SyncLayertreeMap.js:246

  Create, insert and return a layer group (for not mixed case) or a wmsLayer for mixed case).

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  - ##### mixed: boolean

    True for a group layer, false for a WMS layer.

  #### Returns LayerGroup | ImageLayer<ImageSource>

  a new layer.

### createLeafInAMixedGroup_

- createLeafInAMixedGroup_(treeCtrl: LayertreeController, map: Map): TileLayer<TileSource> | ImageLayer<ImageSource>

- - Defined in src/layertree/SyncLayertreeMap.js:312

  Create and insert a layer from a leaf in a mixed group.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  - ##### map: Map

    A map that contains the group to insert the layer.

  #### Returns TileLayer<TileSource> | ImageLayer<ImageSource>

  a new layer.

### createWMTSLayer_

- createWMTSLayer_(gmfLayerWMTS: any): TileLayer<TileSource>

- - Defined in src/layertree/SyncLayertreeMap.js:409

  Create and return a Tile layer.

  #### Parameters

  - ##### gmfLayerWMTS: any

    A leaf node.

  #### Returns TileLayer<TileSource>

  a Tile WMTS layer. (Source and capabilities can come later).

### getFirstLevelGroupCtrl_

- getFirstLevelGroupCtrl_(treeCtrl: LayertreeController): LayertreeController

- - Defined in src/layertree/SyncLayertreeMap.js:522

  Return the first parent, from the root parent, that is not mixed.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  #### Returns LayertreeController

  The first not mixed parent.

### getTimeParam_

- getTimeParam_(treeCtrl: LayertreeController): string

- - Defined in src/layertree/SyncLayertreeMap.js:472

  Get the time parameter for a WMS Layer. If it's a group and it doesn't have time, get the first time parameter available in any child.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  #### Returns string

  A wms time param.

### initGmfLayerInANotMixedGroup_

- initGmfLayerInANotMixedGroup_(treeCtrl: LayertreeController, map: Map): void

- - Defined in src/layertree/SyncLayertreeMap.js:379

  Update a WMS layer with the given treeCtrl node information. Assumes that the first parent with ogcServer information is linked to the layer to update and that this treeCtrl node is a leafNode.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  - ##### map: Map

    A map that contains the layer to update.

  #### Returns void

### isOneParentNotMixed_

- isOneParentNotMixed_(treeCtrl: LayertreeController): boolean

- - Defined in src/layertree/SyncLayertreeMap.js:505

  Return true if a parent tree is mixed, based on its node.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  #### Returns boolean

  True is any parent is mixed. False Otherwise.

### sync_

- sync_(treeCtrl: LayertreeController): void

- - Defined in src/layertree/SyncLayertreeMap.js:121

  Synchronise the state of each layers corresponding to the given tree and all its children.

  #### Parameters

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  #### Returns void

### updateLayerReferences_

- updateLayerReferences_(node: any, layer: BaseLayer): void

- - Defined in src/layertree/SyncLayertreeMap.js:443

  Update properties of a layer with the node of a given leafNode.

  #### Parameters

  - ##### node: any

    a tree node.

  - ##### layer: BaseLayer

    A layer.

  #### Returns void

### updateLayerState_

- updateLayerState_(layer: TileLayer<TileSource> | ImageLayer<ImageSource>, treeCtrl: LayertreeController): void

- - Defined in src/layertree/SyncLayertreeMap.js:142

  Set the active state of a layer based on its treeCtrl state.

  #### Parameters

  - ##### layer: TileLayer<TileSource> | ImageLayer<ImageSource>

    A layer.

  - ##### treeCtrl: LayertreeController

    ngeo layertree controller.

  #### Returns void

Generated using TypeDoc